
# InventoryAdjustment

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | A unique ID generated by Square for the [InventoryAdjustment](#type-inventoryadjustment). |  [optional]
**referenceId** | **String** | An optional ID provided by the application to tie the [InventoryAdjustment](#type-inventoryadjustment) to an external system. |  [optional]
**fromState** | [**FromStateEnum**](#FromStateEnum) | The [InventoryState](#type-inventorystate) of the related quantity of items before the adjustment. |  [optional]
**toState** | [**ToStateEnum**](#ToStateEnum) | The [InventoryState](#type-inventorystate) of the related quantity of items after the adjustment. |  [optional]
**locationId** | **String** | The Square ID of the [Location](#type-location) where the related quantity of items are being tracked. |  [optional]
**catalogObjectId** | **String** | The Square generated ID of the [CatalogObject](#type-catalogobject) being tracked. |  [optional]
**catalogObjectType** | **String** | The [CatalogObjectType](#type-catalogobjecttype) of the [CatalogObject](#type-catalogobject) being tracked. Tracking is only supported for the &#x60;ITEM_VARIATION&#x60; type. |  [optional]
**quantity** | **String** | The number of items affected by the adjustment as a decimal string. Fractional quantities are not supported. |  [optional]
**totalPriceMoney** | [**Money**](Money.md) | The read-only total price paid for goods associated with the adjustment. Present if and only if &#x60;to_state&#x60; is &#x60;SOLD&#x60;. Always non-negative. |  [optional]
**occurredAt** | **String** | A client-generated timestamp in RFC 3339 format that indicates when the adjustment took place. For write actions, the &#x60;occurred_at&#x60; timestamp cannot be older than 24 hours or in the future relative to the time of the request. |  [optional]
**createdAt** | **String** | A read-only timestamp in RFC 3339 format that indicates when Square received the adjustment. |  [optional]
**source** | [**SourceApplication**](SourceApplication.md) | Read-only information about the application that caused the inventory adjustment. |  [optional]
**employeeId** | **String** | The Square ID of the [Employee](#type-employee) responsible for the inventory adjustment. |  [optional]
**transactionId** | **String** | The read-only Square ID of the [Transaction][#type-transaction] that caused the adjustment. Only relevant for payment-related state transitions. |  [optional]
**refundId** | **String** | The read-only Square ID of the [Refund][#type-refund] that caused the adjustment. Only relevant for refund-related state transitions. |  [optional]
**purchaseOrderId** | **String** | The read-only Square ID of the purchase order that caused the adjustment. Only relevant for state transitions from the Square for Retail app. |  [optional]
**goodsReceiptId** | **String** | The read-only Square ID of the Square goods receipt that caused the adjustment. Only relevant for state transitions from the Square for Retail app. |  [optional]


<a name="FromStateEnum"></a>
## Enum: FromStateEnum
Name | Value
---- | -----
CUSTOM | &quot;CUSTOM&quot;
IN_STOCK | &quot;IN_STOCK&quot;
SOLD | &quot;SOLD&quot;
RETURNED_BY_CUSTOMER | &quot;RETURNED_BY_CUSTOMER&quot;
RESERVED_FOR_SALE | &quot;RESERVED_FOR_SALE&quot;
SOLD_ONLINE | &quot;SOLD_ONLINE&quot;
ORDERED_FROM_VENDOR | &quot;ORDERED_FROM_VENDOR&quot;
RECEIVED_FROM_VENDOR | &quot;RECEIVED_FROM_VENDOR&quot;
IN_TRANSIT_TO | &quot;IN_TRANSIT_TO&quot;
NONE | &quot;NONE&quot;
WASTE | &quot;WASTE&quot;
UNLINKED_RETURN | &quot;UNLINKED_RETURN&quot;


<a name="ToStateEnum"></a>
## Enum: ToStateEnum
Name | Value
---- | -----
CUSTOM | &quot;CUSTOM&quot;
IN_STOCK | &quot;IN_STOCK&quot;
SOLD | &quot;SOLD&quot;
RETURNED_BY_CUSTOMER | &quot;RETURNED_BY_CUSTOMER&quot;
RESERVED_FOR_SALE | &quot;RESERVED_FOR_SALE&quot;
SOLD_ONLINE | &quot;SOLD_ONLINE&quot;
ORDERED_FROM_VENDOR | &quot;ORDERED_FROM_VENDOR&quot;
RECEIVED_FROM_VENDOR | &quot;RECEIVED_FROM_VENDOR&quot;
IN_TRANSIT_TO | &quot;IN_TRANSIT_TO&quot;
NONE | &quot;NONE&quot;
WASTE | &quot;WASTE&quot;
UNLINKED_RETURN | &quot;UNLINKED_RETURN&quot;



