/*
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.squareup.connect.models;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import com.squareup.connect.models.Money;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Represents the details of a tender with &#x60;type&#x60; &#x60;CASH&#x60;.
 */
@ApiModel(description = "Represents the details of a tender with `type` `CASH`.")

public class TenderCashDetails {
  @JsonProperty("buyer_tendered_money")
  private Money buyerTenderedMoney = null;

  @JsonProperty("change_back_money")
  private Money changeBackMoney = null;

  public TenderCashDetails buyerTenderedMoney(Money buyerTenderedMoney) {
    this.buyerTenderedMoney = buyerTenderedMoney;
    return this;
  }

   /**
   * The total amount of cash provided by the buyer, before change is given.
   * @return buyerTenderedMoney
  **/
  @ApiModelProperty(value = "The total amount of cash provided by the buyer, before change is given.")
  public Money getBuyerTenderedMoney() {
    return buyerTenderedMoney;
  }

  public void setBuyerTenderedMoney(Money buyerTenderedMoney) {
    this.buyerTenderedMoney = buyerTenderedMoney;
  }

  public TenderCashDetails changeBackMoney(Money changeBackMoney) {
    this.changeBackMoney = changeBackMoney;
    return this;
  }

   /**
   * The amount of change returned to the buyer.
   * @return changeBackMoney
  **/
  @ApiModelProperty(value = "The amount of change returned to the buyer.")
  public Money getChangeBackMoney() {
    return changeBackMoney;
  }

  public void setChangeBackMoney(Money changeBackMoney) {
    this.changeBackMoney = changeBackMoney;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    TenderCashDetails tenderCashDetails = (TenderCashDetails) o;
    return Objects.equals(this.buyerTenderedMoney, tenderCashDetails.buyerTenderedMoney) &&
        Objects.equals(this.changeBackMoney, tenderCashDetails.changeBackMoney);
  }

  @Override
  public int hashCode() {
    return Objects.hash(buyerTenderedMoney, changeBackMoney);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class TenderCashDetails {\n");
    
    sb.append("    buyerTenderedMoney: ").append(toIndentedString(buyerTenderedMoney)).append("\n");
    sb.append("    changeBackMoney: ").append(toIndentedString(changeBackMoney)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
  
}

